Bug 68476 - font suckage in konsole
font suckage in konsole
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
: 66824 (view as bug list)
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-10 11:32 EDT by James Manning
Modified: 2007-04-18 12:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-08 07:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sshot showing konsole font suckiness (242.01 KB, image/png)
2002-07-10 11:32 EDT, James Manning
no flags Details
Patch making the default fonts for konsole "monospace" not "fixed" (2.20 KB, patch)
2002-07-10 19:38 EDT, Owen Taylor
no flags Details | Diff

  None (edit)
Description James Manning 2002-07-10 11:32:02 EDT
I'm gonna reuse the same sshot - prob. wrong component, will reassign to Owen
since he seems like the right guy for this
Comment 1 James Manning 2002-07-10 11:32:34 EDT
Created attachment 64611 [details]
sshot showing konsole font suckiness
Comment 2 Owen Taylor 2002-07-10 19:20:05 EDT
Definitely a konsole problem. I'll leave it assigned to myself for
now, since I'm investigating where konsole gets its fonts from
at the moment.
Comment 3 Owen Taylor 2002-07-10 19:37:20 EDT
OK, what needs doing:

 - Change the occurrences of the string "fixed" in 


   To "monospace"

 - Remove the "Linux" and "Unicode" entries from the 
   Settings/font menu, since they don't make sense
   in Xft land.

I'll attach a untested patch that does this.

Comment 4 Owen Taylor 2002-07-10 19:38:08 EDT
Created attachment 64684 [details]
Patch making the default fonts for konsole "monospace" not "fixed"
Comment 5 Owen Taylor 2002-07-11 19:23:11 EDT
*** Bug 66824 has been marked as a duplicate of this bug. ***
Comment 6 Ngo Than 2002-07-12 04:35:20 EDT
will add your fix in next kdebase rebuild. thanks
Comment 7 Ngo Than 2002-07-14 16:23:29 EDT
the qt3.diff patch file included in qt-3.0.4 causes such problem.
if i disable it, it works fine and all bugs 67648,67915, 68476, 68618 are gone.

Owen, Do you know about this problem?
Comment 8 Owen Taylor 2002-07-14 16:56:44 EDT
And if you remove qt from the distribution, all the bugs are gone too;:-).

qt3.diff is part of a very important Milan feature; consistent font lookup
and rendering across the distribution. Removing it isn't really an

Comment 9 Mattias Dahlberg 2002-07-15 11:07:44 EDT
Have the Qt diff been sent to Trolltech and the Konsole diff to the KDE 
developers to possibly get them merged upstream?
Comment 10 James Manning 2002-07-15 11:35:08 EDT
1) as noted, it (at least for the moment) makes things suck - why would they
take it?

2) the diff comes out of a desire to merge fonts with gnome (afaik), so I don't
see how it helps trolltech or kde, it simply helps a distribution maker trying
to  follow a good KISS rule

course, it couldn't hurt to send it up anyway to see if they take it.  also,
they make help patch it to a better state either way.  definitely won't know til
ya try :)
Comment 11 James Manning 2002-07-15 11:46:30 EDT
um, nevermind, i'm on crack - i thought you were talking about qt3.diff - *sigh*

Monday, Monday
Comment 12 Need Real Name 2002-07-17 13:47:00 EDT
The qt3.diff patch is *not* to merge Gnome fonts and KDE fonts, it's because QT3
uses APIs which are disappearing from XFree86 *soon*.  QT3 is using old Xft1
APIs, Xft1 is going away and so Qt3 needs to move to the new library.

Bugs in qt3.diff should get fixed.
Comment 13 Aleksey Nogin 2002-07-21 17:34:24 EDT
In Limbo+full up2date the fonts are much better. I no longer see any
"double-width" fonts, no matter what I choose (e.g. both the "Default" and
"Other" fonts are OK).

Other problems are still there though:
- The font selecting dlg for "other" does not seem to really correspond to the
actuall choices.
- For many selections ASCII symbols have size significantly different from the
size of Cyrillic symbols.
Comment 14 Eric Rose 2002-07-23 04:52:38 EDT
Many of the fixed-width fonts are still double-spaced
in the konsole (and kcontrol) font browser. For example
lucidatypewriter come out double-spaced. Any ideas to
how I can debug or track down this problem?
Comment 15 Aleksey Nogin 2002-07-23 14:32:39 EDT
Eric, what version of kdebase do you have installed? I am asking because you
mentioned kcontrol and with kdebase-3.0.2-3 it is not working for me at all (bug
Comment 16 Eric Rose 2002-07-24 07:36:57 EDT

I had to upgrade to qt-3.0.4-12 and kdebase-3.0.2-4 to get kde
back into decent shape (konsole refresh and font suckage). Before
this kdm and just about everything else was crashing. BTW I
have XFree-86 up to -52, the most recent as of last week. Ditto
for Xft.

I still have this lingering font problem, and hope it will be fixed
soon! It could of course be my Xft-Config, but I've been through
the tutorial now and I think what I have is ok, or at least close
enough. It would be nice if debugging these font problems were easier.
Its hard to peice together good debugging techniques from what I've
been able to find on the web.
Comment 17 Aleksey Nogin 2002-07-24 10:42:16 EDT
I am still at kdebase-3.0.2-3 (from up2date), but yes - if I choose
lucidatypewriter, I get the double-width fonts in konsole (the reason I have not
noticed it is because in the fontpicker itself it looks OK!) 

So my statement should be revised:

With Limbo+up2date (kdebase-3.0.2-3) I do not see any double-width fonts *in the
fontpicker* (but some are still bad in the konsole itself). The default fonts
are finally OK.

I have not touched my Xft-Config.
Comment 18 Eric Rose 2002-07-25 03:38:01 EDT
Hey, could you post the (relevant) packages you have installed? 
I'd like to figure out what you have installed that fixes the 
problem. Here are mine: 
Comment 19 Ngo Than 2002-07-25 18:06:27 EDT
i have made some tweaks to qt3 patch. It workd fine now. misc font and
lucidatypewriter can be showed correct in konsole.

You find the new qt-3.0.5-4 on ftp://people.redhat.com/rawhide/.
Notice: you have to update new gcc-3.2-0.1 in rawhide first.
Comment 20 James Manning 2002-07-26 09:28:50 EDT
For anyone actually trying this, the correct path is, of course, inside than's


Than, why no .src.rpm in there for the qt mods?
Comment 21 Ngo Than 2002-07-26 10:05:45 EDT
alle currennt qt-3.0.5-6 RPM/SRPMS are now ftp://people.redhat.com/than/rawhide/
Comment 22 Jay Turner 2002-08-22 08:42:09 EDT
I'm closing this out, as all looks good to me.  Please reopen if people are
still finding problems with the KDE fonts.
Comment 23 Aleksey Nogin 2002-09-04 01:45:55 EDT
I did a fresh install on 7.3.94 ((null)) today (with US English and Russian
languages, Russian being the default). Now things are pretty bad again - the
"Other" menu in konsole only has 3 choices (all variations of Courier) and the
cyrillic symbols are double-spaced in all of them (although the ASCII ones are OK).
Comment 24 Aleksey Nogin 2002-09-06 18:18:23 EDT
In (null)+up2date the problem still exists (but in a slightly different way).
The default monospace font is too high (and I had to increase the inter-line
spacing to get "tails" of "gyj" from being "eaten"), but at least it is no
longer double-spaced. All the fonts in "other" menu still show cyrillics
Comment 25 Ngo Than 2002-09-20 06:48:44 EDT
It's fixed in kdebase-3.0.3-13 or newer
Comment 26 Aleksey Nogin 2003-01-06 03:16:15 EST
This is back in Phoebe. After upgrading from 8.0 to Phoebe I seem to have the
following choices:

- keep using the former default (Monospace). This is *extremely* ugly - see bug
80403 attachment 89148 [details] for a screenshot.

- Select a new font. Those have the following problems:
(a) double-spaced cyrillic letters
(b) font is not resizable (no matter what size I pick it stays the same, or at
least the cyrillic component stays the same), only one size is available (and is
too big for me).

* Console8x16: very bold, not resizable (too big)
* Console8x8: double-spaced (but resizable, weird)
* Courier: double-spaced
* Courier 10 Pitch: double-spaced (identical to Courier)
* Fixed: not resizable (too big). This is the most usable choice though...
* Lucidatypewriter: double-spaced
* Luxi Mono: double-spaced

And that's it, there are no other choices...

% rpm -qa|grep font|sort

% rpm -q kdebase
Comment 27 Aleksey Nogin 2003-02-03 21:12:34 EST
With the latest stuff from Rawhide I have:
* Console8x16: very bold, not resizable (too big)
* Console8x8: double-spaced (but resizable, weird)
* Courier: double-spaced
* Courier 10 Pitch: double-spaced (identical to Courier)
* Fixed: not resizable (too big). This is the most usable choice though...
* Lucidatypewriter: double-spaced (seems identical to Courier)
* Luxi Mono: double-spaced (seems identical to Courier)
* Miscfixed: a very weird thing. Selecting sizes 11, 12, 13, or 14 produce fonts
of the *exacly* same size. Selecting sizes 11 and 12 yields the font identical
to what I get under "Fixed". Selecting sizes 13 or 14 produces identical
results, but the shape of certain letter is different from those I get with 11
or 12 (for example, cyrillic "A" has pointy top at 13 and 14, while having a
round top at 11 and 12); but some letters look exactly the same.  When I select
size 10, I get font that exactly 1.5 times narrower then the one I get at 11-14
and is shaped the same as 13-14. At 9, I get the same width as at 10, somewhat
shorter, same shape as 11-12. The 11-14 size is a little too big and 8-9 is too
small (as I said, the difference in sizes is really big).
* Monospace: double-spaced and is displayed blueish and reddish in some places.

% rpm -qa | egrep 'kdebase|kdelibs|freetype|font'|sort
Comment 28 Ngo Than 2003-05-08 07:44:23 EDT
it's fixed in 9. i cannot reproduce it wiht RHL9

Note You need to log in before you can comment on or make changes to this bug.